Don't print the error

sh: dmidecode: not found

if dmidecode is not there.

Signed-off-by: Stefan Reinauer <stefan.reinauer@coreboot.org>

Index: dmi.c
===================================================================
--- dmi.c	(revision 1285)
+++ dmi.c	(working copy)
@@ -75,7 +75,11 @@
 };
 
 #define DMI_COMMAND_LEN_MAX 260
-static const char *dmidecode_command = "dmidecode";
+#if defined (__DJGPP__) || defined (_WIN32)
+static const char *dmidecode_command = "dmidecode.exe";
+#else
+static const char *dmidecode_command = "dmidecode 2>/dev/null";
+#endif
 
 static char *dmistrings[ARRAY_SIZE(dmidecode_names)];
 
